---
title: 'SVGElement: scroll event'
slug: Web/API/SVGElement/scroll_event
tags:
  - API
  - Reference
  - SVGElement
  - Scroll
  - events
---
<div>{{APIRef("SVG")}}</div>

<p>The <code>scroll</code> event is fired when an SVG document view is being shifted along the X and/or Y axes. This basically implements the standard <code>scroll</code> DOM event.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("SVGEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onscroll">onscroll</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">svgElem.addEventListener('scroll', () =&gt; {
  console.log('SVG scrolled.');
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'single-page.html#changes-interact', 'event changes in SVG2')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGElement.scroll_event")}}</p>
